> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List file citations

> List the graph citations that point into one File version.

**Operation ID:** `http.files.citations`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations:
    get:
      tags:
        - Files
      summary: List file citations
      description: >-
        List the graph citations that point into one File version.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.files.citations
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: file
          in: path
          required: true
          schema:
            type: string
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_files_citations_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_files_citations_response:
      type: object
      properties:
        data:
          type: object
          properties:
            schema:
              type: string
              const: penumbra.file-version-citations
            version:
              type: number
              const: 1
            file_id:
              type: string
            version_id:
              type: string
            truncated:
              type: boolean
            citations:
              type: array
              items:
                type: object
                properties:
                  citation_id:
                    type: string
                  status:
                    type: string
                    enum:
                      - in_graph
                      - in_review
                  resource_kind:
                    type: string
                    enum:
                      - node
                      - edge
                  resource_id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  item_handle:
                    type: string
                  type_name:
                    type: string
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  source:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: string
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          type_name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                          - type_name
                        additionalProperties: false
                      - type: 'null'
                  target:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: string
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          type_name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                          - type_name
                        additionalProperties: false
                      - type: 'null'
                  review_id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  review_name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  quote:
                    anyOf:
                      - type: string
                      - type: 'null'
                  start_byte:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  end_byte_exclusive:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  quote_digest:
                    anyOf:
                      - type: string
                      - type: 'null'
                  chunk_id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  note:
                    anyOf:
                      - type: string
                      - type: 'null'
                  page:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  highlight:
                    anyOf:
                      - type: object
                        properties:
                          match:
                            type: string
                            enum:
                              - exact
                              - normalized
                              - fuzzy
                          boxes:
                            type: array
                            items:
                              type: object
                              properties:
                                page:
                                  type: integer
                                  minimum: 1
                                  maximum: 9007199254740991
                                x:
                                  type: number
                                  minimum: 0
                                  maximum: 1
                                'y':
                                  type: number
                                  minimum: 0
                                  maximum: 1
                                w:
                                  type: number
                                  minimum: 0
                                  maximum: 1
                                h:
                                  type: number
                                  minimum: 0
                                  maximum: 1
                              required:
                                - page
                                - x
                                - 'y'
                                - w
                                - h
                              additionalProperties: false
                        required:
                          - match
                          - boxes
                        additionalProperties: false
                      - type: 'null'
                required:
                  - citation_id
                  - status
                  - resource_kind
                  - resource_id
                  - item_handle
                  - type_name
                  - name
                  - source
                  - target
                  - review_id
                  - review_name
                  - quote
                  - start_byte
                  - end_byte_exclusive
                  - quote_digest
                  - chunk_id
                  - note
                  - page
                  - highlight
                additionalProperties: {}
          required:
            - schema
            - version
            - file_id
            - version_id
            - truncated
            - citations
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.